Bug 1474030 - No software from flatpak repos listed
No software from flatpak repos listed
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-23 05:26 EDT by Yajo
Modified: 2017-09-24 13:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yajo 2017-07-23 05:26:14 EDT
Description of problem:
I cannot search in GNOME Software UI for apps available through flatpak repositories.

Version-Release number of selected component (if applicable):
gnome-software-3.24.3-1.fc26.x86_64
flatpak-0.9.7-1.fc26.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Go to http://flathub.org/
2. Download the flatpakrepo file.
3. Click on it.
4. GNOME Software opens, install it.
5. Search for any of the provided apps (e.g. Spotify)

Actual results:
No matches.

Expected results:
Match from flathub found.

Additional info:
The remote works fine:

➤ flatpak remote-list
Name    Options
flathub system 

➤ flatpak remote-ls flathub
Ref                                         
ch.x29a.playitslowly                        
com.albiononline.AlbionOnline               
com.discordapp.Discord                      
com.github.dahenson.agenda                  
com.github.needleandthread.vocal            
com.github.philip_scott.notes-up            
com.jagex.RuneScape                         
com.play0ad.zeroad                          
com.spotify.Client                          
com.teeworlds.Teeworlds                     
com.tux4kids.tuxmath                        
com.tux4kids.tuxtype                        
com.uploadedlobster.peek                    
com.valvesoftware.Steam                     
com.vinszent.GnomeTwitch                    
io.elementary.code                          
io.github.GnomeMpv                          
io.github.Hexchat                           
io.github.Pithos                            
io.gitlab.osslugaru.Lugaru                  
io.mgba.mGBA                                
io.thp.numptyphysics                        
net.blockout.BlockOutII                     
net.minetest.Minetest                       
net.olofson.KoboDeluxe                      
net.sourceforge.ExtremeTuxRacer             
net.sourceforge.Ri-li                       
net.sourceforge.TuxFootball                 
net.sourceforge.atanks                      
net.sourceforge.btanks                      
net.sourceforge.chromium-bsu                
net.sourceforge.mars-game                   
net.sourceforge.torcs                       
net.supertuxkart.SuperTuxKart               
nl.openoffice.bluefish                      
org.DolphinEmu.dolphin-emu                  
org.armagetronad.ArmagetronAdvanced         
org.audacityteam.Audacity                   
org.baedert.corebird                        
org.blender.Blender                         
org.darktable.Darktable                     
org.debian.TuxPuck                          
org.freeciv.Freeciv                         
org.freedesktop.BasePlatform                
org.freedesktop.BaseSdk                     
org.freedesktop.GlxInfo                     
org.freedesktop.Platform                    
org.freedesktop.Platform.Compat32           
org.freedesktop.Platform.GL.nvidia-304-134  
org.freedesktop.Platform.GL.nvidia-304-135  
org.freedesktop.Platform.GL.nvidia-340-101  
org.freedesktop.Platform.GL.nvidia-340-102  
org.freedesktop.Platform.GL.nvidia-367-57   
org.freedesktop.Platform.GL.nvidia-370-28   
org.freedesktop.Platform.GL.nvidia-375-26   
org.freedesktop.Platform.GL.nvidia-375-39   
org.freedesktop.Platform.GL.nvidia-375-66   
org.freedesktop.Platform.GL.nvidia-378-13   
org.freedesktop.Platform.GL.nvidia-381-09   
org.freedesktop.Platform.GL.nvidia-381-22   
org.freedesktop.Platform.GL32.nvidia-304-134
org.freedesktop.Platform.GL32.nvidia-304-135
org.freedesktop.Platform.GL32.nvidia-340-101
org.freedesktop.Platform.GL32.nvidia-340-102
org.freedesktop.Platform.GL32.nvidia-367-57 
org.freedesktop.Platform.GL32.nvidia-370-28 
org.freedesktop.Platform.GL32.nvidia-375-26 
org.freedesktop.Platform.GL32.nvidia-375-39 
org.freedesktop.Platform.GL32.nvidia-375-66 
org.freedesktop.Platform.GL32.nvidia-378-13 
org.freedesktop.Platform.GL32.nvidia-381-09 
org.freedesktop.Platform.GL32.nvidia-381-22 
org.freedesktop.Platform.Icontheme.Paper    
org.freedesktop.Sdk                         
org.freedesktop.Sdk.Extension.gfortran-62   
org.frozen_bubble.frozen-bubble             
org.geogebra.GeoGebra                       
org.gna.Warmux                              
org.gnome.Eolie                             
org.gnome.FeedReader                        
org.gnome.Lollypop                          
org.gnome.Nautilus                          
org.gnome.Platform                          
org.gnome.Polari                            
org.gnome.Recipes                           
org.gnome.Sdk                               
org.gnucash.GnuCash                         
org.gtk.Gtk3theme.Ambiance                  
org.gtk.Gtk3theme.Arc                       
org.gtk.Gtk3theme.Arc-Dark                  
org.gtk.Gtk3theme.Arc-Dark-solid            
org.gtk.Gtk3theme.Arc-Darker                
org.gtk.Gtk3theme.Arc-Darker-solid          
org.gtk.Gtk3theme.Arc-solid                 
org.gtk.Gtk3theme.Breeze                    
org.gtk.Gtk3theme.Breeze-Dark               
org.gtk.Gtk3theme.Greybird                  
org.gtk.Gtk3theme.Pop                       
org.inkscape.Inkscape                       
org.kde.Platform                            
org.kde.Sdk                                 
org.libretro.RetroArch                      
org.megaglest.MegaGlest                     
org.musicbrainz.Picard                      
org.mypaint.MyPaint                         
org.ppsspp.PPSSPP                           
org.seul.pingus                             
org.supertuxproject.SuperTux                
org.tuxfamily.XMoto                         
org.tuxpaint.Tuxpaint                       
org.wesnoth.Wesnoth                         
ws.openarena.OpenArena

➤ flatpak install flathub com.spotify.Client
Required runtime for com.spotify.Client/x86_64/stable (org.gnome.Platform/x86_64/3.24) is not installed, searching...
Found in remote flathub, do you want to install it? [y/n]: y
Installing: org.gnome.Platform/x86_64/3.24 from flathub
[####################] 9 delta parts, 81 loose fetched; 184642 KiB transferred i
Installing: org.gnome.Platform.Locale/x86_64/3.24 from flathub
[####################] 30 metadata, 137 content objects fetched; 813 KiB transferred in 3 seconds
Installing: com.spotify.Client/x86_64/stable from flathub
[####################] Downloading: 97,5 MB/97,5 MB (4,9 MB/s)

After installing like this without any problems, I go to gnome-software and it can't still find spotify. Also if I search for it in the Applications menu and go Right click > Show Details, it opens gnome software saying "Couldn't find com.spotify.Client.desktop".
Comment 1 fabien.chaillou@gmail.com 2017-09-18 22:23:23 EDT
Hello,
I have the exact same behaviour.
If it helps, when I start gnome-software from the terminal, I get the following errors :

02:18:21:0403 As  user/flatpak/flathub/desktop/org.wesnoth.Wesnoth.desktop/stable has token cache, invaliding as flatpak was added

The same error is printed several times (it seems one for every flatpak available in flathub).

Hopes this help.
Regards,
Fabien
Comment 2 Egor Zaharov 2017-09-24 12:12:32 EDT
Fedora 26. Still reproducible.

I can't install new flatpak repos, can't search and install software, can't see installed flatpak software (if you install one from cmdline).

gnome-software-3.24.3-1.fc26.x86_64
flatpak-0:0.9.12-1.fc26.x86_64

If you kill gnome-software gapplication daemon, and then launch gnome-software again from Terminal, it's giving me the following output:
$ gnome-software
16:06:22:0210 As  user/flatpak/kderuntime/runtime/org.freedesktop.Platform.Icontheme.Adwaita/1.0 has token cache, invaliding as flatpak was added
16:06:22:0210 As  user/flatpak/kderuntime/runtime/org.kde.Sdk/5.9 has token cache, invaliding as flatpak was added
16:06:22:0210 As  user/flatpak/kderuntime/runtime/org.kde.KStyle.HighContrast/master has token cache, invaliding as flatpak was added
16:06:22:0210 As  user/flatpak/kderuntime/runtime/org.kde.KStyle.Adwaita/master has token cache, invaliding as flatpak was added
16:06:22:0210 As  user/flatpak/kderuntime/runtime/org.kde.Platform/5.9 has token cache, invaliding as flatpak was added
16:06:22:0210 As  user/flatpak/kderuntime/runtime/org.kde.PlatformTheme.QGnomePlatform/master has token cache, invaliding as flatpak was added
16:06:25:0979 Gs  State change on system/package/fedora/codec/gstreamer-openh264/* from installed to unavailable is not OK
16:06:31:0189 GsPluginFlatpak user/flatpak/*/runtime/org.kde.Platform/5.9 runtime cannot have runtime!
16:06:31:0190 GsPluginFlatpak user/flatpak/kderuntime/runtime/org.kde.Platform/5.9 runtime cannot have runtime!
Comment 3 Egor Zaharov 2017-09-24 12:43:26 EDT
Well, seeing that this bug was created in Jule, rhughes seems to be ignoring notifications from his work email at all. We need to go round to get his attention.
Comment 4 Egor Zaharov 2017-09-24 13:15:22 EDT
https://bugzilla.gnome.org/show_bug.cgi?id=788103

Note You need to log in before you can comment on or make changes to this bug.